<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>

</head>
<body>

<input type='text' placeholder='añade un nuevo numero'><button onclick='añadirInput()'>Añadir Mas</button>

<div id="inputC"></div>
<div id="inputB"></div>
<div id="inputA"></div>

<script>

    function añadirInput () {
        var crearInput = document.getElementById('inputC');
        crearInput.innerHTML+="<input type='text' placeholder='añade un nuevo numero' value='hola'>";
    }
</script>
</body>
</html>